package org.spagic3.attachments;

import javax.activation.DataHandler;


public class AttachmentFacade {
	
	public static String store(String name, DataHandler value) {
		return AttachmentStoreManager.getAttachmentStore().store(name, null, value);
	}
	
	public static Attachment load(String exId){
		DataHandler dh =  AttachmentStoreManager.getAttachmentStore().load(exId);
		Attachment attachment = new Attachment(exId, dh);
		return attachment;
	}
	
	public static void delete(String id){
		AttachmentStoreManager.getAttachmentStore().delete(id);
	}
	
}
