package org.spagic3.attachments;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.spagic3.attachments.db.datasource.IDatasourceManagerTracker;
import org.spagic3.datasource.IDataSourceManager;

public class AttachmentsActivator implements BundleActivator {

	
	private static IDatasourceManagerTracker datasourceManagerTracker = null;

	/**
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		
		datasourceManagerTracker = new IDatasourceManagerTracker(context);
		datasourceManagerTracker.open();
	}

	/**
	 * 
	 */
	public void stop(BundleContext context) throws Exception {
	
	}
	

	


	public static IDataSourceManager getDataSourceManager(){
		return (IDataSourceManager)datasourceManagerTracker.getService();
	}

}
