package org.spagic3.attachments;

import javax.activation.DataHandler;

public interface IAttachmentStore {
	
	public String getAttachmentStoreId();
	
	// Store an attachment on attachment Store and return the id of the attachments in the store
	public String store(String name, String correlationID, DataHandler value);
	
	// Load an attachment with id
	public DataHandler load(String id);
	
	//Delete an attachment with id
	public void delete(String id);

}
