package org.spagic3.attachments.model;

import java.sql.Blob;
import java.io.Serializable;

/**
* Model of the attachment for database storage;
*
*
* @author <a href="mailto:saint@eng.it">Gian Uberto Lauri</a>
* @version $Revision$
*/
public class Attachment implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 8821212864677544785L;
	
	Long id;
	String correlationId;
	Blob data;
	
	public Long getId() {
		return id;
	}
	
	public void setId(Long id) {
		this.id = id;
	}
	
	public String getCorrelationId() {
		return correlationId;
	}
	
	public void setCorrelationId(String correlationId) {
		this.correlationId = correlationId;
	}
	
	public Blob getData() {
		return data;
	}
	
	public void setData(Blob data) {
		this.data = data;
	}
	
}
