package org.spagic3.connectors.filesystem.adapters;

import java.io.BufferedWriter;
import java.io.InputStream;

import org.spagic3.nmr.api.Exchange;
import org.spagic3.nmr.api.Message;

public interface IFileAdapter {
	
	public static final String FILE_NAME_PROPERTY = "spagic.filename";
	
	public static final String FILE_PATH_PROPERTY = "spagic.filepath";
	
	public String getOutputFileName(Exchange exchange, Message in);
	
	public String getAdapterId();
	
	public void writeMessage(Exchange exchange, Message in, BufferedWriter bw) throws Exception;
	
	public void readFile(Exchange exchange, Message in, InputStream is, String filePath) throws Exception;
	
	//public void readFileNotXml(Exchange exchange, Message in, InputStream is, String filePath) throws Exception;
	
}
