package org.spagic3.connectors.http.adapters;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.spagic3.nmr.api.Exchange;
import org.spagic3.nmr.api.Message;
import org.spagic3.util.properties.PropertyConfigurator;


public interface IHTTPInputProtocolAdapter extends IHTTPAdapter {
	
	public Exchange createExchange(HttpServletRequest request, String mep, String sender, String target, PropertyConfigurator pc, Object binding) throws Exception;
	public void sendAccepted(Exchange exchange, HttpServletRequest request, HttpServletResponse response,  PropertyConfigurator pc, Object binding) throws Exception;
	public void sendError(Exchange exchange, Exception e, HttpServletRequest request, HttpServletResponse response, PropertyConfigurator pc, Object binding) throws Exception;
	public void sendFault(Exchange exchange, Message fault,HttpServletRequest request, HttpServletResponse response, PropertyConfigurator pc, Object binding) throws Exception;
	public void sendOut(Exchange exchange, Message out,HttpServletRequest request, HttpServletResponse response, PropertyConfigurator pc, Object binding) throws Exception;
	
}
