package org.spagic3.connectors.quartz.adapters;

import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.spagic3.nmr.api.Message;

public interface IQuartzAdapter {
	
	/**
     * Populates the given normalized message from the Quartz context
     *
     * @param message the normalized message to populate
     * @param context the Quartz context
     * @throws JobExecutionException
     */
    void populateNormalizedMessage(Message message, JobExecutionContext context)
        throws JobExecutionException;

	
}
