package org.spagic3.connectionfactory;

import java.util.Set;

import javax.jms.ConnectionFactory;

public interface IConnectionFactoryManager {

	public ConnectionFactory getConnectionFactory(String connectionFactoryIdentifier) throws Exception;
	public Set<String> getRegisteredConnectionFactoriesIDs();
	public void registerForNotification(String id);
	public void unregisterForNotification(String id);
}
