package org.spagic3.connectors.mail;

import org.spagic3.connectors.mail.marshaler.AbstractMailMarshaler;
import org.spagic3.connectors.mail.utils.MailConnectionConfiguration;


public class MailParameters {
	
    public AbstractMailMarshaler marshaler;// = new DefaultMailMarshaler();
    
    public String customTrustManagers;
    
    public MailConnectionConfiguration config;
    
    public String connection;
    
    public int maxFetchSize;// = 5;
    
    public boolean processOnlyUnseenMessages;
    
    public boolean deleteProcessedMessages;
    
    public boolean debugMode;  
    
    public boolean startTLS;// = false;
    
    public long period;
    
}
